Subject: bug#53507: 27.1; syntax highlight in the eval-expression prompt

From: Michael Heerdegen <[email-masked]>
Date: Wed, 26 Jan 2022 01:13:40 +0100

ndame via "Bug reports for GNU Emacs, the Swiss army knife of text
editors" <[email-masked]> writes:

> In order to highlight elisp in eval-expression I changed the major
> mode of the minibuffer to emacs-lisp-mode. Is that the reason?
> If not so then what is? If so then why is changing the mode stops
> C-g from working there?

C-g is part of the mode that is normally active in the minibuffer,
`minibuffer-mode'.

Michael.